#!/usr/bin/env python
from CBDLibrary import *
from CBDDraw import *

class Graph(CBD):
	def __init__(self, block_name):
		CBD.__init__(self, block_name)
		self.addBlock(ConstantBlock(block_name="1", value=1))
		self.addBlock(DelayBlock(block_name="delay"))
		self.addBlock(ConstantBlock(block_name="0", value=0))
		self.addBlock(AdderBlock(block_name="sum"))
		self.addConnection("0", "delay", input_port_name="IC", output_port_name="OUT1")
		self.addConnection("1", "sum", input_port_name="IN2", output_port_name="OUT1")
		self.addConnection("sum", "delay", input_port_name="IN1", output_port_name="OUT1")
		self.addConnection("delay", "sum", input_port_name="IN1", output_port_name="OUT1")

CBD = Graph("CBD")
